
package de.ivu.elect.wus.exchange.wahl;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.control.WahlImportObject;
import de.ivu.elect.business.wahl.control.CoreWahlImportExchange;
import de.ivu.elect.business.wahl.entity.WahlImportContext;
import de.ivu.elect.exchange.AbstractImportExchange;

public class DefaultCoreWahlImportExchange extends AbstractImportExchange<WahlImportObject, WahlImportContext> implements CoreWahlImportExchange {

  @Inject
  private transient Instance<CoreWahlImportMapper> mapper;

  public DefaultCoreWahlImportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends CoreWahlImportMapper> getAllSupportedMapper() {
    return mapper;
  }
}
